org.keycloak.services.managers

## Class UsersSyncManager

- java.lang.Object
- - org.keycloak.services.managers.UsersSyncManager

-     public class UsersSyncManager
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UsersSyncManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrapPeriodic(KeycloakSessionFactory sessionFactory, TimerProvider timer)` Check federationProviderModel of all realms and possibly start periodic sync for them
    `void` | `refreshPeriodicSyncForProvider(KeycloakSessionFactory sessionFactory, TimerProvider timer, UserFederationProviderModel fedProvider, String realmId)`
    `void` | `removePeriodicSyncForProvider(TimerProvider timer, UserFederationProviderModel fedProvider)`
    `void` | `syncAllUsers(KeycloakSessionFactory sessionFactory, String realmId, UserFederationProviderModel fedProvider)`
    `void` | `syncChangedUsers(KeycloakSessionFactory sessionFactory, String realmId, UserFederationProviderModel fedProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### UsersSyncManager

          public UsersSyncManager()

  - ### Method Detail

    - #### bootstrapPeriodic

          public void bootstrapPeriodic(KeycloakSessionFactory sessionFactory,
                               TimerProvider timer)

      Check federationProviderModel of all realms and possibly start periodic sync for them
      Parameters:
        `sessionFactory` -
        `timer` -

    - #### syncAllUsers

          public void syncAllUsers(KeycloakSessionFactory sessionFactory,
                          String realmId,
                          UserFederationProviderModel fedProvider)

    - #### syncChangedUsers

          public void syncChangedUsers(KeycloakSessionFactory sessionFactory,
                              String realmId,
                              UserFederationProviderModel fedProvider)

    - #### refreshPeriodicSyncForProvider

          public void refreshPeriodicSyncForProvider(KeycloakSessionFactory sessionFactory,
                                            TimerProvider timer,
                                            UserFederationProviderModel fedProvider,
                                            String realmId)

    - #### removePeriodicSyncForProvider

          public void removePeriodicSyncForProvider(TimerProvider timer,
                                           UserFederationProviderModel fedProvider)

Copyright © 2015. All rights reserved.